Redmine - Defect #9131

Link to attachment broken in notification email at issue creation
2011-08-26 13:05 - pasquale [:dedalus]

Status: Closed Start date: 2011-08-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 1.2.1

Description

When add\edit issue with attachments, redmine should be save first attachment list and only after sending mail notification: now if |
add an attachment with clickable link (for example attachment:file.txt) in mail notification the link isn't clickable because | suppose
that file isn't already saved into attachments folder.

This is very annoying bug

Related issues:
Is duplicate of Redmine - Feature #2770: Display of inline attached images in... Reopened 2009-02-18

History

#1 - 2011-08-26 13:07 - pasquale [:dedalus]
xref bug #2770

#2 - 2011-08-26 14:14 - Etienne Massip

- Subject changed from When add\edit bug with attachments, first save attachments and after send mail notification to Link to attachment broken in
notification email at issue creation

#3 - 2013-03-21 19:33 - Etienne Massip
- Status changed from New to Needs feedback

- Priority changed from High to Normal

Looking at the code I'm not sure this is true anymore, could you confirm?

#4 - 2013-03-21 20:42 - Fernando Hartmann

Etienne Massip wrote:

Looking at the code I'm not sure this is true anymore, could you confirm?

In my Redmine 2.2.3 the links are working, if | click over the link the browser open and the attached file is showed.
But #2770 is steal there ..

#5 - 2013-03-21 22:41 - Etienne Massip
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Agreed.

2025-05-17 1/1



https://www.redmine.org/issues/2770
https://www.redmine.org/issues/2770
http://www.tcpdf.org

